# 📚 Bookworm Library

Jednoduchá Java aplikace pro správu knihovny – REST API, frontend a event-driven architektura pomocí Spring Boot a JMS (ActiveMQ Artemis).

---

## 🚀 Funkce

- ✅ Přidání knihy (REST + GUI)
- ✅ Půjčení a vrácení knihy
- ✅ Zobrazení seznamu knih (Thymeleaf)
- ✅ Event-driven reakce na vytvoření knihy
- ✅ In-memory databáze (H2)
- ✅ Embedded JMS (ActiveMQ Artemis)
- ✅ Swagger dokumentace

---

## 🔧 Technologie

- Java 21
- Spring Boot 3.2+
- Spring Web, JPA, Thymeleaf, JMS
- H2 database
- Mockito, JUnit 5

---

## ▶️ Jak aplikaci spustit

1. **Klonuj nebo rozbal projekt**
2. Ujisti se, že máš Javu 21+
3. V root složce spusť:

```bash
./mvnw spring-boot:run