package com.example.library;

import jakarta.annotation.PostConstruct;
import org.springframework.stereotype.Service;

@Service
public class BookEventService {

  private final BookEventRegistry registry;

  public BookEventService(BookEventRegistry registry) {
    this.registry = registry;
  }

  @PostConstruct
  public void register() {
    registry.registerListener(book -> {
      // např. logika ukládání do DB
      System.out.println("Book created: " + book.getTitle());
    });
  }
}
